<?php
	/**
	 * Thumbnails configuration.
	 *
	 * @package Transit
	 */

	add_action( 'after_setup_theme', 'transit_register_image_sizes', 5 );
	function transit_register_image_sizes() {
		set_post_thumbnail_size( 370, 230, true );

		// Registers a new image sizes.
		add_image_size( 'transit-thumb-s', 150, 150, true );
		add_image_size( 'transit-thumb-m', 370, 400, true );
		add_image_size( 'transit-thumb-m2', 370, 480, true );
		add_image_size( 'transit-thumb-l', 770, 402, true );
		add_image_size( 'transit-thumb-l2', 770, 500, true );
		add_image_size( 'transit-thumb-xl', 1170, 780, true );
		add_image_size( 'transit-thumb-xxl', 1920, 1080, true );
		add_image_size( 'transit-author-avatar', 512, 512, true );

		add_image_size( 'transit-thumb-240-100', 240, 100, true );
		add_image_size( 'transit-thumb-560-350', 560, 350, true );


	}
